All Data Structures Namespaces Files Functions Variables Pages
common.js File Reference

Go to the source code of this file.

## Functions

function | checkTime (i)
function | zXmlHttp ()
function | getRequestBody (oForm)
function | Cookie ()

## Variables

function | id
var | zXml ={useActiveX:(typeof ActiveXObject!="undefined"),useXmlHttp:(typeof XMLHttpRequest!="undefined")}
zXml | ARR_XMLHTTP_VERS =["MSXML2.XmlHttp.5.0","MSXML2.XmlHttp.4.0","MSXML2.XmlHttp.3.0","MSXML2.XmlHttp","Microsoft.XmlHttp"]
zXmlHttp | createRequest
zXmlHttp | isSupported =function(){return zXml.useXmlHttp||zXml.useActiveX;}

## Function Documentation

function checkTime | ( |  | i | ) |

Definition at line 9 of file common.js.

function Cookie | ( |  | ) |

Definition at line 49 of file common.js.

function getRequestBody | ( |  | oForm | ) |

Definition at line 36 of file common.js.

function zXmlHttp | ( |  | ) |

Definition at line 19 of file common.js.

## Variable Documentation

zXml ARR_XMLHTTP_VERS =["MSXML2.XmlHttp.5.0","MSXML2.XmlHttp.4.0","MSXML2.XmlHttp.3.0","MSXML2.XmlHttp","Microsoft.XmlHttp"]

Definition at line 18 of file common.js.

zXmlHttp createRequest

Initial value:
=function(){
if(zXml.useXmlHttp){return new XMLHttpRequest();}
else if(zXml.useActiveX){
if(!zXml.XMLHTTP_VER){
for(var i=0;i<zXml.ARR_XMLHTTP_VERS.length;i++){
try{new ActiveXObject(zXml.ARR_XMLHTTP_VERS[i]);
zXml.XMLHTTP_VER=zXml.ARR_XMLHTTP_VERS[i];break;}catch(oError){;}
}
}
if(zXml.XMLHTTP_VER){return new ActiveXObject(zXml.XMLHTTP_VER);}
else{throw new Error("Could not create XML HTTP Request.");}
}else{throw new Error("Your browser doesn't support an XML HTTP Request.");}
}
zXml
var zXml
Definition: common.js:17

Definition at line 20 of file common.js.

function id

Initial value:
{
return document.getElementById(id)

Definition at line 3 of file common.js.

zXmlHttp isSupported =function(){return zXml.useXmlHttp||zXml.useActiveX;}

Definition at line 33 of file common.js.

var zXml ={useActiveX:(typeof ActiveXObject!="undefined"),useXmlHttp:(typeof XMLHttpRequest!="undefined")}

Definition at line 17 of file common.js.